Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `cloup.formatting._util`

## Functions

`ensure_is_cloup_formatter`(formatter) |
`unstyled_len`(string) |

## Attributes

`FORMATTER_TYPE_ERROR` |

## Contents

cloup.formatting._util.FORMATTER_TYPE_ERROR = Multiline-String

  > Show Value

  >     1since Cloup v0.8, this class relies on `cloup.HelpFormatter` to align help
  >     2sections. So, you need to make sure your command class uses `cloup.HelpFormatter`
  >     3as formatter class.
  >     4
  >     5If you have your own custom `HelpFormatter`, know that `cloup.HelpFormatter` is
  >     6more easily customizable then Click's one, so consider extending it instead
  >     7of extending `click.HelpFormatter`.

cloup.formatting._util.ensure_is_cloup_formatter(formatter)
  Parameters:

    formatter (HelpFormatter) –

  Return type:

    cloup.HelpFormatter

cloup.formatting._util.unstyled_len(string)
  Parameters:

    string (str) –

  Return type:

    int